#ifndef _ALLOS_FUNCTIONS_H
#define _ALLOS_FUNCTIONS_H

/*
 *	Functions for generic image analysing 
 */

#include "../globals.h"
#include "unknown/functions_unknown.h"
#include "linux/functions_linux.h"
#include "windows/functions_windows.h"
#include "bsd/functions_bsd.h"

/*
 * Function that sets operating system specific 
 * settings according to values in supplied structure
 *
 */

int os_settings(struct os_struct *os_to_set);

/*
 * Function that sets pointer to correct functions,
 * according to detected os
 *
 */

int set_os_from_list(char *os_name);


#endif
